TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.verify.create("domain_id");
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.verify.create("domain_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.Domains.Verify.Create(
context.TODO(),
"domain_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Domains.Verify.CreateAsync(
"domain_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().domains().verify().create("domain_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.domains.verify.create(
domain_id="domain_id",
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "ord_aW1UHetvkBWSWdCCe8DWq7",
"org_id": "org_zW1UHutvkVWSWdCC",
"domain": "acme.com",
"status": "pending",
"verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
}{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}Start domain verification
Initiate the verification process for a domain specified by ID for this Organization.
POST
/
domains
/
{domain_id}
/
verify
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.verify.create("domain_id");
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.verify.create("domain_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.Domains.Verify.Create(
context.TODO(),
"domain_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Domains.Verify.CreateAsync(
"domain_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().domains().verify().create("domain_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.domains.verify.create(
domain_id="domain_id",
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/domains/{domain_id}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "ord_aW1UHetvkBWSWdCCe8DWq7",
"org_id": "org_zW1UHutvkVWSWdCC",
"domain": "acme.com",
"status": "pending",
"verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
}{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization domain identifier.
Pattern:
^ord_[A-Za-z0-9]{22}$Response
Organization domain verification successfully started.
Organization domain identifier.
Pattern:
^ord_[A-Za-z0-9]{22}$Organization identifier.
Pattern:
^org_[A-Za-z0-9]{16}$Domain name.
Pattern:
^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9-]*[A-Za-z0-9])$Organization domain status.
Available options:
failed, pending, verified Value used to verify the domain.
Stores the full domain where the TXT record should be added.